namespace EDPlayerJournal.Entries;

public class SupercruiseEntryEntry : Entry {
    /// <summary>
    /// Taxi?
    /// </summary>
    public bool Taxi { get; set; } = false;

    /// <summary>
    /// Multicrew or not.
    /// </summary>
    public bool Multicrew { get; set; } = false;

    /// <summary>
    /// Star system
    /// </summary>
    public string? StarSystem { get; set; }

    /// <summary>
    /// System address
    /// </summary>
    public ulong? SystemAddress { get; set; }

    protected override void Initialise() {
        Taxi = JSON.Value<bool?>("Taxi") ?? false;
        Multicrew = JSON.Value<bool?>("Multicrew") ?? false;
        StarSystem = JSON.Value<string?>("StarSystem");
        SystemAddress = JSON.Value<ulong?>("SystemAddress");
    }
}
